# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Copyright 2008, 2009 Chris Oliver

""" Unit testing framework for libkeryx """

import logging
import platform
import sys
import unittest

sys.path.append('..') # This is where libkeryx is relative to the script
import libkeryx

class KnownValues(unittest.TestCase):
    knownValues = ( ('hostname', True),
                    ('my-hostname', True),
                    (platform.node(), True), # current hostname
                    ('Invalid$$$', False) )
                    
    def testCreateKnownValues(self):
        for input, val in self.knownValues:
            result = libkeryx.create(input)
            self.assertEqual(val, result)

if __name__ == "__main__":
    logging.basicConfig()
    unittest.main()